using Autofac;

namespace PlanTempus.Core.Email;

public class EmailModule : Module
{
	public required PostmarkConfiguration PostmarkConfiguration { get; set; }

	protected override void Load(ContainerBuilder builder)
	{
		builder.RegisterInstance(PostmarkConfiguration).AsSelf().SingleInstance();
		builder.RegisterType<PostmarkEmailService>().As<IEmailService>().SingleInstance();
	}
}
